Index: LMDZ5/branches/testing/libf/dyn3dmem/leapfrog_loc.F
===================================================================
--- LMDZ5/branches/testing/libf/dyn3dmem/leapfrog_loc.F	(revision 2258)
+++ LMDZ5/branches/testing/libf/dyn3dmem/leapfrog_loc.F	(revision 2298)
@@ -200,4 +200,8 @@
       LOGICAL, SAVE :: firstcall=.TRUE.
       TYPE(distrib),SAVE :: new_dist
+
+      if (ok_iso_verif) then
+         call check_isotopes(q0,ijb_u,ije_u,'leapfrog204: debut')
+      endif !if (ok_iso_verif) then
       
 c$OMP MASTER
@@ -219,4 +223,8 @@
       itaufinp1 = itaufin +1
 
+      if (ok_iso_verif) then
+        call check_isotopes(q0,ijb_u,ije_u,'leapfrog 226')
+      endif !if (ok_iso_verif) then
+
       itau = 0
       physic=.true.
@@ -231,4 +239,8 @@
       phis=phis0
       q=q0
+
+      if (ok_iso_verif) then
+        call check_isotopes(q,ijb_u,ije_u,'leapfrog 239')
+      endif !if (ok_iso_verif) then
       
 !      iday = day_ini+itau/day_step
@@ -296,5 +308,5 @@
 
    1  CONTINUE ! Matsuno Forward step begins here
-
+      !write(*,*) 'leapfrog 298: itau=',itau
       jD_cur = jD_ref + day_ini - day_ref +                             &
      &          itau/day_step
@@ -306,4 +318,7 @@
       endif
 
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 321')
+        endif !if (ok_iso_verif) then
 
 #ifdef CPP_IOIPSL
@@ -384,5 +399,15 @@
 cym      call minmax(ijp1llm,q(:,:,3),zqmin,zqmax)
 
+
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 400')
+        endif !if (ok_iso_verif) then
+
    2  CONTINUE ! Matsuno backward or leapfrog step begins here
+
+
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 402')
+        endif !if (ok_iso_verif) then
 
 c$OMP MASTER
@@ -455,4 +480,8 @@
 c$OMP END MASTER      
 
+
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 471')
+        endif !if (ok_iso_verif) then
 
 !ym  PAS D'AJUSTEMENT POUR LE MOMENT     
@@ -574,4 +603,7 @@
      
       
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 589')
+        endif !if (ok_iso_verif) then
       
 c-----------------------------------------------------------------------
@@ -635,5 +667,8 @@
       ! compute geopotential phi()
       CALL geopot_loc  ( ip1jmp1, teta  , pk , pks,  phis  , phi   )
-
+        
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 651')
+        endif !if (ok_iso_verif) then
       
       call VTb(VTcaldyn)
@@ -644,4 +679,5 @@
 !      CALL FTRACE_REGION_BEGIN("caldyn")
       time = jD_cur + jH_cur 
+
       CALL caldyn_loc 
      $  ( itau,ucov,vcov,teta,ps,masse,pk,pkf,phis ,
@@ -670,10 +706,21 @@
 c   -------------------------------------------------------------
 
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,
+     &           'leapfrog 686: avant caladvtrac')
+        endif !if (ok_iso_verif) then
       
       IF( forward. OR . leapf )  THEN
 ! Ehouarn: NB: fields sent to advtrac are those at the beginning of the time step
+        !write(*,*) 'leapfrog 679: avant CALL caladvtrac_loc'
          CALL caladvtrac_loc(q,pbaru,pbarv,
      *        p, masse, dq,  teta,
      .        flxw,pk, iapptrac)
+
+         !write(*,*) 'leapfrog 719'
+         if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,
+     &           'leapfrog 698: apres caladvtrac')
+         endif !if (ok_iso_verif) then
 
 !      do j=1,nqtot
@@ -708,8 +755,19 @@
 !       CALL FTRACE_REGION_BEGIN("integrd")
 
-       CALL integrd_loc ( 2,vcovm1,ucovm1,tetam1,psm1,massem1 ,
+       !write(*,*) 'leapfrog 720' 
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 756')
+        endif !if (ok_iso_verif) then
+
+       ! CRisi: pourquoi aller jusqu'à 2 et non pas jusqu'à nqtot?? 
+       CALL integrd_loc ( nqtot,vcovm1,ucovm1,tetam1,psm1,massem1 ,
      $         dv,du,dteta,dq,dp,vcov,ucov,teta,q,ps,masse,phis)
 !     $              finvmaold                                    )
 
+       !write(*,*) 'leapfrog 724'       
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 762')
+        endif !if (ok_iso_verif) then 
+ 
 !       CALL FTRACE_REGION_END("integrd")
 c$OMP BARRIER
@@ -724,4 +782,9 @@
       call WriteField_u('ps_int',ps)
 #endif    
+
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 775')
+        endif !if (ok_iso_verif) then
+
 c      do j=1,nqtot
 c        call WriteField_p('q'//trim(int2str(j)),
@@ -1082,4 +1145,9 @@
        ENDIF ! of IF( apphys )
 
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 1132')
+        endif !if (ok_iso_verif) then
+        !write(*,*) 'leapfrog 1134: iflag_phys=',iflag_phys
+
       IF(iflag_phys.EQ.2) THEN ! "Newtonian" case
 c$OMP MASTER
@@ -1146,9 +1214,12 @@
 
 cc$OMP END PARALLEL
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 1196')
+        endif !if (ok_iso_verif) then
 
 c-----------------------------------------------------------------------
 c   dissipation horizontale et verticale  des petites echelles:
 c   ----------------------------------------------------------
-
+      !write(*,*) 'leapfrog 1163: apdiss=',apdiss
       IF(apdiss) THEN
       
@@ -1379,5 +1450,9 @@
 c                call abort_gcm(modname,abort_message,0)
 c              ENDIF
-        
+
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 1430')
+        endif !if (ok_iso_verif) then     
+ 
 c   ********************************************************************
 c   ********************************************************************
@@ -1455,4 +1530,8 @@
       ENDIF
       
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 1509')
+        endif !if (ok_iso_verif) then
+
       IF ( .NOT.purmats ) THEN
 c       ........................................................
@@ -1526,4 +1605,8 @@
             ENDIF
 
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 1584')
+        endif !if (ok_iso_verif) then
+
 c-----------------------------------------------------------------------
 c   ecriture de la bande histoire:
@@ -1562,4 +1645,8 @@
             ENDIF ! of IF (itau.EQ.itaufin)
 
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 1624')
+        endif !if (ok_iso_verif) then
+
 c-----------------------------------------------------------------------
 c   gestion de l'integration temporelle:
@@ -1596,4 +1683,9 @@
 
       ELSE ! of IF (.not.purmats)
+
+
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 1664')
+        endif !if (ok_iso_verif) then
 
 c       ........................................................
@@ -1631,4 +1723,9 @@
 
             ELSE ! of IF(forward) i.e. backward step
+
+              
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 1698')
+        endif !if (ok_iso_verif) then  
 
               IF(MOD(itau,iperiod).EQ.0 .OR. itau.EQ.itaufin) THEN
@@ -1683,4 +1780,9 @@
             ENDIF ! of IF (forward)
 
+
+        if (ok_iso_verif) then
+           call check_isotopes(q,ijb_u,ije_u,'leapfrog 1750')
+        endif !if (ok_iso_verif) then
+
       END IF ! of IF(.not.purmats)
 c$OMP MASTER
